Get Message
curl --request GET \
--url https://api.example.com/api/v1/messages/{message_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/messages/{message_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation_id": "<string>",
"sender_id": "<string>",
"content": "<string>",
"workspace_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"id": "<string>",
"role": "user",
"tool_calls": [
{}
],
"message_type": "text",
"tags": [
"<string>"
],
"checksum": "<string>",
"attachments": [
{}
],
"parent_message_id": "<string>",
"meta_data": {},
"sent_at": "2023-11-07T05:31:56Z",
"owner_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Messages
Get Message
Get a specific message by ID.
GET
/
api
/
v1
/
messages
/
{message_id}
Get Message
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Path Parameters
Response
Successful Response
Schema for reading message data.
Reference to conversation
ID of the message sender
Message content
Reference to workspace
Message role (user, assistant, system, etc.)
Tool calls made in this message
Type of message
Message tags
Message checksum
Message attachments
Parent message ID for threading
Additional metadata
When the message was sent
Owner ID